Yaourt Instalación fallo [SOLUCIONADO]

Para que opines sobre pacman o comentes problemas instalando algún paquete.
Responder
cazademonios
Archer
Archer
Mensajes: 21
Registrado: 08 Jul 2013, 16:53

Yaourt Instalación fallo [SOLUCIONADO]

Mensaje por cazademonios » 29 Jul 2013, 19:59

Hola buenas pongo este post aqui por que está relacionado con paquetes y no sabia muy bien donde ponerlo

Mi LinuxArch está instalado en 64 bits
Pues bien me instalé yaourt mediante este metodo:

en /etc/pacman.conf añadí esto:
SigLevel = Optional TrustAll
Server = http://repo.archlinux.fr/$arch

luego actualize
sudo pacman -Syu
luego instalé yaourt
sudo pacman -S yaourt

pero cuando intento actualizar o instalar un paquete con yaourt me aparece esto

Código: Seleccionar todo

[[email protected] ~]$ sudo yaourt -Syu
[sudo] password for ricardo: 
:: Sincronizando las bases de datos de paquetes...
 core está actualizado
 extra está actualizado
 community               2004,7 KiB   244K/s 00:08 [######################] 100%
 archlinuxfr está actualizado
/usr/lib/yaourt/util.sh: línea 166: /usr/bin/package-query: no se puede ejecutar el fichero binario

/usr/lib/yaourt/util.sh: línea 166: /usr/bin/package-query: no se puede ejecutar el fichero binario
[[email protected] ~]$
lo mismo pasa al instalar un paquete desde yaourt

y si intento instalar el package-query desde pacman me dice que el paquete tiene una arquitectura no valida

Si alguien tiene una solución o algo para instalarlo desde tar.gz a ver si así funciona mejor me haría un gran favor

Gracias de antemano Un saludo 8)
Última edición por cazademonios el 30 Jul 2013, 06:13, editado 1 vez en total.
LinuxArch Xfce 4

Avatar de Usuario
Spooky
Equipo Hispano
Equipo Hispano
Mensajes: 1774
Registrado: 18 Nov 2010, 23:33
Ubicación: Behind your computer

Re: Yaourt Instalación fallo

Mensaje por Spooky » 29 Jul 2013, 20:40

Edita tu pacman.conf, elimina la linea SigLevel del repo AUR:

Código: Seleccionar todo

#SigLevel = Optional TrustAll
Solo agrega una almohadilla # para deshabilitar esa linea, o bien elimina directamente.

Luego actualiza tus repos:

Código: Seleccionar todo

pacman -Syy
Despues de nuevo intenta instalar algun PKGBUILD usando yaourt.

Saludos

cazademonios
Archer
Archer
Mensajes: 21
Registrado: 08 Jul 2013, 16:53

Re: Yaourt Instalación fallo

Mensaje por cazademonios » 29 Jul 2013, 20:57

Hice lo que me dijiste y al instentar instalar un paquete con yaourt me salta el mismo error :(
LinuxArch Xfce 4

Avatar de Usuario
Spooky
Equipo Hispano
Equipo Hispano
Mensajes: 1774
Registrado: 18 Nov 2010, 23:33
Ubicación: Behind your computer

Re: Yaourt Instalación fallo

Mensaje por Spooky » 29 Jul 2013, 23:55

Prueba eliminar yaourt, luego limpia la cache de pacman y de nuevo instala yaourt.

Código: Seleccionar todo

pacman -Rnsd yaourt
Edita tu pacman.conf, en la linea correspondiente al repo AUR vuelve a agregar la linea:

Código: Seleccionar todo

SigLevel = Optional TrustAll
Actualiza pacman:

Código: Seleccionar todo

pacman -Syy

Código: Seleccionar todo

pacman -Scc
pacman -S yaourt

cazademonios
Archer
Archer
Mensajes: 21
Registrado: 08 Jul 2013, 16:53

Re: Yaourt Instalación fallo

Mensaje por cazademonios » 30 Jul 2013, 06:13

Hice lo que dijiste y funcionó :D

Gracias me has salvado

Ya funciona perfecto 8)
LinuxArch Xfce 4

Responder